/**
 * description
 *
 * @author eson
 *2022年7月13日-09:07:22
 */
package com.yuandian.dataflow.statemachine.rpc;

import java.io.Serializable;

import com.alipay.sofa.jraft.entity.PeerId;
import com.yuandian.dataflow.statemachine.operate.Operate;
import com.yuandian.dataflow.statemachine.state.State;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

/**
 * description
 *
 * @author eson
 *2022年7月13日-09:07:22
 */
@Slf4j
@Getter
@Setter
@ToString
public class RaftResponse<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    private T value;

    private boolean           success;
    /**
     * redirect peer id
     */
    private PeerId            redirect;

    private String            msg;
}
